Subject: RE: AII differences between PW routing and l2vpn signalling draftprovisionong methods.

From: "Chris Metz \(chmetz\)" <[email-masked]>
Date: Fri, 2 Dec 2005 18:20:35 -0500

Hey Folks-
Here is my take on this interesting question:

- AII Type 1 is for provisioning models that best make use of a
fixed-length 32-bit value. L2VPN signaling is one and does not need
anything more (from the AII perspective). Another might be FEC129
compatibility with AC's previously configured with original Pwid.
Selective VPWS with no aggregation is not one. 

- AII Type 2 is necessary for Selective VPWS because a) many discrete
AII values can be summarized, b)provides structure for global
uniqueness.

- Either AII type should not infer reachability to the TT-PE between or
within an AS. That can only be determined by the locality of the ST-PE
and the precision of the routing information (IP, PW L2, etc.) it
possesses to route the PW signaling messages to the TT-PE. Examples:
ST-PE in one AS will have complete IP reachability and LDP session to
TT-PE in another AS. FEC129/AII Type 2 (or AII Type 1) is then used in
PW setup. 

Conversely there may be </32 AII prefix, LDP next_hop> tuples in PW L2
routing table and MS-PW signaling would be required to reach the TT-PE.
Why can't the ST-PE include an AII Type 1 value in the FEC129 field and
expect PW routing to progress it towards the TT-PE? 

There could also be FEC129/AII Type 2 PWs setup between ST-PE and TT-PE
in the same AS.

- Having different AII types for different applications/services is
useful for network management, trouble-shooting, provisioning and
logical functional separation in the network elements. I am not entirely
clear, in the absense of a different AII types, how a local ST-PE would
know when/how to launch PW setups if there was only one AII Type and
they all arrived via BGP? I can smell new BGP attributes on the horizon
:-) ... "here is the new BGP AII Type 2 attribute " yuck, yuck, yuck ...

- I have said it before and will say it again: we can debate on one or
two AII types but eventually we will need more because some
application/service/provisioning model will come along and AII Type 1/2
will be insufficient (read IPv6).

IMHO we should:

- go with the two AII types ...

- decouple MS-PW LDP signaling procedures from AII Type 2. Really
shouldn't any AII type suffice?

Thanks, 

Chris

	 

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] 
> On Behalf Of Mustapha Aissaoui
> Sent: Friday, December 02, 2005 10:58 AM
> To: Luca Martini (lmartini); 'L2VPN'
> Cc: 'David McDysan'; [email-masked]
> Subject: RE: AII differences between PW routing and l2vpn 
> signalling draftprovisionong methods.
> 
> Luca,
> I do not believe there is any substantial difference that 
> warrants to standardize two different AII types. A MS-PW can 
> also terminate on a VSI, e.g., VPLS.
> 
> The issue is to be able to encode the target termination 
> interface: an endpoint for a p2p PW or a VSI for a VPLS in a 
> way such that it will work for both single hop PWs and 
> MS-PWs. Both types can be used for the various L2VPN applications.
> 
> Pragmatically, the way to go is to deprecate the FEC 129 as 
> defined in draft-ietf-l2vpn-signaling-06.txt (Type 1) and 
> extend the Type 2 to cover the various applications. One 
> other reason to deprecate Type 1 is that we do not want an 
> implementation to use different FEC 129 types for single-hop 
> PW and MS-PW. FEC 128 will be restricted to singe hop PW and 
> will be fine as long as we specify a way to reach U-PEs which 
> are on a FEC 129 Type 2 network.
> 
> Mustapha.
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] 
> On Behalf Of Luca Martini
> Sent: Friday, December 02, 2005 1:09 PM
> To: L2VPN
> Cc: David McDysan; [email-masked]
> Subject: AII differences between PW routing and l2vpn 
> signalling draft provisionong methods.
> 
> WG,
> 
> After a good discussion with Bruce Davie,  we came up with 
> the following explanation on why we need to have different 
> AII type int he PW setup and maintenance protocol.
> This note explains why draft-ietf-l2vpn-signaling-06.txt (the 
> L2VPN Signaling draft) and 
> draft-balus-bocci-martini-dyn-ms-pwe3-00.txt (the MS PW
> draft) make use of different AII types, as defined in 
> draft-metz-aii-aggregate-01.txt.
>  In a nutshell, the two drafts use different AII types 
> because they are tackling different problems. Specifically, 
> L2VPN Signaling draft is concerned with setting up all the 
> PWs for a given L2VPN, while the MS PW draft is concerned 
> with setting up individual PWs.
>  Because it is concerned with building L2VPNs, the L2VPN 
> Signaling draft makes use of the AGI (the contents of which 
> effectively identify the
> VPN) plus the AII to identify a particular PW. Hence, the AII 
> only needs to identify a "pool" or a VSI relative to a 
> particular AGI. Hence a simple 32 bit AII is sufficient.
> By contrast, because the MS PW draft is concerned with 
> setting up individual PWs, not L2VPNs, it has no use for the 
> AGI - there is no "group" concept.
> Hence it fully identifies the PW in the AII. Because there 
> may be many PWs connected to a given U-PE device, it is 
> necessary to identify the PWs relative to a given U-PE. And 
> it is necessary to identify the U-PE within the AII so that 
> the signaling message can be routed toward the correct U-PE.
> Hence the requirements for the AII are quite different, and 
> it makes sense to use an AII type that is designed to meet 
> these requirements.
> It is obvious that the simple AII type could be encoded in 
> the more complex AII type by leaving various fields set to 
> zero, but this does not seem to serve any useful purpose.
> 
> Luca
> 
> 
>